#include <iostream>
#include <vector>
#include "histogram.h"
#include "text.h"
#include "svg.h"

using namespace std;

struct Input
{
    vector<double> numbers;
    size_t bin_count{};
};

Input input_data(istream& in) {  //     
    Input data;
    size_t number_count;

    cerr << "Enter number count: ";
    in >> number_count;  //    

    data.numbers.resize(number_count);
    cerr << "Enter numbers: ";
    for (size_t i = 0; i < number_count; i++) {
        in >> data.numbers[i];
    }

    cerr << "Enter number of bins: ";
    in >> data.bin_count;

    return data;
}

int main()
{
    size_t max_count;
    auto in = input_data(cin);
    auto bins = make_histogram(in.numbers, in.bin_count);
    show_histogram_svg(bins);
}







